#ifndef EAPP_H
#define EAPP_H

#include <Eet.h>
#include <Ecore_File.h>
#include "global.h"
#include "icons.h"
#include "order.h"
#include "menus.h"
#include "config.h"

#ifdef HAVE_GNOME
	#define GNOMEAPPDIR GNOME_PREFIX"/share/applications"
	#define OLDGNOMEAPPDIR GNOME_PREFIX"/share/gnome/apps"
#endif
#ifdef HAVE_KDE
	#define KDEAPPDIR  KDE_PREFIX"/share/applications/kde"
	#define KDELNKDIR KDE_PREFIX"/share/applnk"
#endif

//#define SEPARATORS "\n"

void create_dir(char *path);
void create_subdirs(char *dirs, char *desk);
void create_dir_eap(char *path, char *cat);
void write_eap(char *file, char *section, char *value);
void generate_eaps(char *desk);

#endif
